=== debian/control ===
Source: ros-crystal-ecl-threads
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-ros, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-ecl-build, ros-crystal-ecl-concepts, ros-crystal-ecl-config, ros-crystal-ecl-errors, ros-crystal-ecl-exceptions, ros-crystal-ecl-license, ros-crystal-ecl-time, ros-crystal-ecl-utilities, ros-crystal-ros-workspace
Homepage: http://wiki.ros.org/ecl_threads
Standards-Version: 3.9.2

Package: ros-crystal-ecl-threads
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ecl-build, ros-crystal-ecl-concepts, ros-crystal-ecl-config, ros-crystal-ecl-errors, ros-crystal-ecl-exceptions, ros-crystal-ecl-license, ros-crystal-ecl-time, ros-crystal-ecl-utilities, ros-crystal-ros-workspace
Description: This package provides the c++ extensions for a variety of threaded programming tools.
 These are usually different on different platforms, so the architecture for a cross-platform framework is also implemented.
